libebook::PMLParser Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::PMLParser Class Reference

`#include <PMLParser.h>`

Inheritance diagram for libebook::PMLParser:

## Public Types
typedef boost::unordered_map< std::string, std::vector< unsigned char > > | ImageMap_t

## Public Member Functions
| PMLParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=0)
virtual | ~PMLParser ()
virtual void | readAppInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readSortInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readIndexRecord (librevenge::RVNGInputStream *record)
virtual void | readDataRecord (librevenge::RVNGInputStream *record, bool last=false)
virtual void | readDataRecords ()
Public Member Functions inherited from libebook::PDXParser
virtual | ~PDXParser ()=0
bool | parse ()
| Parse input and produce output to document. More...

## Static Public Member Functions
static bool | checkType (unsigned type, unsigned creator)

## Private Member Functions
void | readText ()
void | readImages ()
void | readImage (librevenge::RVNGInputStream *record, bool verified=false)
void | openDocument ()
void | closeDocument ()

## Private Attributes
boost::scoped_ptr< PMLHeader > | m_header
ImageMap_t | m_imageMap

## Additional Inherited Members
Protected Member Functions inherited from libebook::PDXParser
| PDXParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, unsigned type, unsigned creator)
| Instantiate a parser for a document in Palm Database Format. More...
librevenge::RVNGTextInterface * | getDocument () const
| Get the document generator used for this parsing run. More...
const char * | getName () const
librevenge::RVNGInputStream * | getAppInfoRecord () const
| Return a stream for the format's appInfo record, if it is present. More...
librevenge::RVNGInputStream * | getIndexRecord () const
| Return a stream for the format's index record. More...
unsigned | getDataRecordCount () const
| Return the number of data records in the document. More...
librevenge::RVNGInputStream * | getDataRecord (unsigned n) const
| Return a stream for the n-th data record. More...
librevenge::RVNGInputStream * | getDataRecords () const
| Return a stream for all data records. More...
librevenge::RVNGInputStream * | getDataRecords (unsigned first, unsigned last) const
| Return a stream for data records in a given range. More...

## Member Typedef Documentation

typedef boost::unordered_map<std::string, std::vector<unsigned char> > libebook::PMLParser::ImageMap_t

## Constructor & Destructor Documentation

libebook::PMLParser::PMLParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |
| explicit

libebook::PMLParser::~PMLParser | ( |  | ) |
| virtual

## Member Function Documentation

bool libebook::PMLParser::checkType | ( | unsigned | type,
|  | unsigned | creator
| ) |  |
| static

void libebook::PMLParser::closeDocument | ( |  | ) |
| private

Referenced by readText().

void libebook::PMLParser::openDocument | ( |  | ) |
| private

Referenced by readText().

void libebook::PMLParser::readAppInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| virtual

Implements libebook::PDXParser.

void libebook::PMLParser::readDataRecord | ( | librevenge::RVNGInputStream * | record,
|  | bool | last = `false`
| ) |  |
| virtual

Implements libebook::PDXParser.

void libebook::PMLParser::readDataRecords | ( |  | ) |
| virtual

Reimplemented from libebook::PDXParser.

void libebook::PMLParser::readImage | ( | librevenge::RVNGInputStream * | record,
|  | bool | verified = `false`
| ) |  |
| private

Referenced by readImages().

void libebook::PMLParser::readImages | ( |  | ) |
| private

Referenced by readDataRecords().

void libebook::PMLParser::readIndexRecord | ( | librevenge::RVNGInputStream * | record | ) |
| virtual

Implements libebook::PDXParser.

void libebook::PMLParser::readSortInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| virtual

Implements libebook::PDXParser.

void libebook::PMLParser::readText | ( |  | ) |
| private

Referenced by readDataRecords().

## Member Data Documentation

boost::scoped_ptr<PMLHeader> libebook::PMLParser::m_header
| private

Referenced by readImages(), readIndexRecord(), and readText().

ImageMap_t libebook::PMLParser::m_imageMap
| private

Referenced by readImage(), and readText().

The documentation for this class was generated from the following files:

- PMLParser.h
- PMLParser.cpp